{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2001
  Versión actual: 1.0.0
  Fecha versión actual: 01-10-2001
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit BarraClientes;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, pngimage, StdCtrls;

type
  TfrBarraClientes = class(TRdxFrame)
    Panel2: TPanel;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    RdxBotonLateral1: TRdxBotonLateral;
    RdxBotonLateral2: TRdxBotonLateral;
    RdxBotonLateral3: TRdxBotonLateral;
    RdxBotonLateral4: TRdxBotonLateral;
    shSeparador: TShape;
    procedure bClientesClick(Sender: TObject);
    procedure bPresupuestosClick(Sender: TObject);
    procedure bHistoricosClick(Sender: TObject);
    procedure bFacturasClick(Sender: TObject);
    procedure bAlbaranesClick(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraClientes: TfrBarraClientes;

implementation
{$R *.DFM}
uses
  Clientes, Tipos, PresupuestosClientes, AlbaranesClientes, FacturasClientes,
  Configuracion;

constructor TfrBarraClientes.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  Entidad := entCliente;
  ConfigurarBarraLateral(Self, Self.Entidad);
  Contenido := TfrClientes.Create(Self);
end;

procedure TfrBarraClientes.bClientesClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrClientes.Create(Self);
end;

procedure TfrBarraClientes.bPresupuestosClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrPresupuestosClientes.Create(Self);
end;

procedure TfrBarraClientes.bHistoricosClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrAlbaranesClientes.Create(Self);
end;

procedure TfrBarraClientes.bFacturasClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrFacturasClientes.Create(Self);
end;

procedure TfrBarraClientes.bAlbaranesClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrAlbaranesClientes.Create(Self);
end;

end.
